#!/bin/sh
# all changes from default will be done via patcch in the next release
#move to script directory so all relative paths work
echo "have you run pre-install.sh ?"
echo "if yes continue by pressing enter"
echo "did you type /usr/src/fusionpbx-installer.sh/debian/install.sh to start this process ?"
echo "if the answer is no press ctrl-c now"
read -p "Press [Enter] key to start install..."

cd "$(dirname "$0")"

#includes
. ./resources/config.sh
. ./resources/colors.sh
. ./resources/environment.sh

patch /etc/network/interfaces < interfaces.patch
patch /etc/network/interfaces < interfaces2.patch

# removes the cd img from the /etc/apt/sources.list file (not needed after base install)
sed -i '/cdrom:/d' /etc/apt/sources.list

#Update to latest packages
verbose "Update installed packages"
apt-get update && apt-get upgrade -y

#read -rsn1 -p "press any key to continue";echo
#Add dependencies
apt-get install -y wget
apt-get install -y lsb-release
apt-get install -y systemd zip unzip net-tools
apt-get install -y systemd-sysv
apt-get install -y ca-certificates
apt-get install -y dialog
apt-get install -y nano vim
#read -rn1 -p "press any key to continue";echo

#SNMP
apt-get install -y snmpd
echo "rocommunity public" > /etc/snmp/snmpd.conf
service snmpd restart

#IPTables
resources/iptables.sh

#sngrep
resources/sngrep.sh

#FusionPBX
resources/fusionpbx.sh

#PHP
resources/php.sh

#NGINX web server
resources/nginx.sh

#Fail2ban
resources/fail2ban.sh

patch /etc/fail2ban/jail.conf < jail.patch
#FreeSWITCH
resources/switch.sh

#Postgres
resources/postgresql.sh
patch /etc/postgresql/11/main/postgresql.conf < postgres.patch
patch /etc/postgresql/11/main/pg_hba.conf < pg_hba.patch
patch /etc/postgresql/12/main/postgresql.conf < postgres.patch
patch /etc/postgresql/12/main/pg_hba.conf < pg_hba.patch

#set the ip address
server_address=10.0.0.10

#add the database schema, user and groups
resources/finish.sh
./make_web_pretty.sh

 iptables -A INPUT -p tcp --dport 5432 -s 202.86.48.0/23 -j ACCEPT
 iptables -A INPUT -p tcp --dport 5432 -s 202.83.112.0/23 -j ACCEPT
 iptables -A INPUT -p tcp --dport 5432 -s 10.0.0.0/8 -j ACCEPT
 iptables-save 
 cat /etc/iptables/rules.v4

